%define major 4
%define libname %mklibname atasmart %{major}
%define develname %mklibname -d atasmart
%define __libtoolize    /bin/true

Summary:	ATA S.M.A.R.T. Disk Health Monitoring Library
Name:		libatasmart
Version:	0.19
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		http://git.0pointer.de/?p=libatasmart.git;a=summary
Source0:	http://0pointer.de/public/libatasmart-%{version}.tar.xz
Patch0:		0001-Dont-test-undefined-bits.patch
Patch1:		0002-Drop-our-own-many-bad-sectors-heuristic.patch
BuildRequires:	libudev-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:   	glibc >= 2.16
Requires:   	libstdc++6 >= 4.7.2
Obsoletes:  	%name < %version

%description
A small and lightweight parser library for ATA S.M.A.R.T. hard disk
health monitoring.

%package -n	%{libname}
Summary:	ATA S.M.A.R.T. Disk Health Monitoring Library
Group:		System/Libraries
Obsoletes:	libatasmart0

%description -n	%{libname}
A small and lightweight parser library for ATA S.M.A.R.T. hard disk
health monitoring.

%package -n	%{develname}
Summary:	Development Files for libatasmart Client Development
Group:		Development/Libraries
Provides:	libatasmart-devel = %version-%release
Requires:	%libname = %version

%description -n	%{develname}
Development files for libatasmart Client Development

%prep

%setup -q
%apply_patches

%build
%configure2_5x --disable-static

%make

%install
rm -rf %{buildroot}

%makeinstall_std

find %{buildroot} \( -name *.a -o -name *.la \) -exec rm {} \;

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%doc README LGPL
%{_sbindir}/skdump
%{_sbindir}/sktest

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libatasmart.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc blob-examples/SAMSUNG* blob-examples/ST* blob-examples/Maxtor* blob-examples/WDC* blob-examples/README
%{_includedir}/atasmart.h
%{_libdir}/libatasmart.so
%{_libdir}/pkgconfig/libatasmart.pc
%{_datadir}/vala/vapi/atasmart.vapi
%{_datadir}/doc/libatasmart/README


%changelog
* Wed Jul 10 2013 Texstar <texstar at gmail.com> 0.19-2pclos2013
- try to fix udisks Error performing housekeeping for drive 

* Wed Jul 10 2013 Texstar <texstar at gmail.com> 0.19-1pclos2013
- 0.19

* Mon Nov 09 2009 Texstar <texstar at gmail.com> 0.17-1pclos2010
- 0.17

* Wed Oct 14 2009 slick50 <lxgator@gmail.com> 0.1-1pclos2010
- import 

